/*
Navicat MariaDB Data Transfer

Source Server         : archives
Source Server Version : 100032
Source Host           : 192.168.1.124:3307
Source Database       : archives_mgr

Target Server Type    : MariaDB
Target Server Version : 100032
File Encoding         : 65001

Date: 2018-04-03 16:08:04
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mgr_archives_classification
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_classification`;
CREATE TABLE `mgr_archives_classification` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '分类表ID',
  `classification_code` varchar(50) DEFAULT NULL COMMENT '分类代码',
  `name` varchar(50) DEFAULT NULL COMMENT '分类名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `connection_code` varchar(10) DEFAULT NULL COMMENT '连接符',
  `classification_model` varchar(255) DEFAULT NULL COMMENT '分类模式',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='分类表';

-- ----------------------------
-- Records of mgr_archives_classification
-- ----------------------------
INSERT INTO `mgr_archives_classification` VALUES ('2', '1234948491', '测试测试分类', null, '+', '32', '0', '测试测试', '2018-03-19 07:38:14', 'admin', null, null);
INSERT INTO `mgr_archives_classification` VALUES ('3', '1564', '测试测试添加', null, '-', '3,3', '1', '测试', '2018-03-19 07:43:52', 'admin', null, null);
INSERT INTO `mgr_archives_classification` VALUES ('4', '2009', '2009', null, '#', '3,3', '1', '2009', '2018-03-19 09:07:04', 'admin', '2018-03-19 10:21:45', 'admin');
INSERT INTO `mgr_archives_classification` VALUES ('5', '2001', '2001', null, '|', '2,2,3', '1', '2001', '2018-03-19 09:08:07', 'admin', null, null);
INSERT INTO `mgr_archives_classification` VALUES ('6', '2003', '2003', null, '-', '1,2,3', '1', '2003', '2018-03-19 09:09:27', 'admin', null, null);

-- ----------------------------
-- Table structure for mgr_archives_complicationdetail
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_complicationdetail`;
CREATE TABLE `mgr_archives_complicationdetail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编研详细信息ID',
  `fonds_no` varchar(50) DEFAULT NULL COMMENT '全宗号',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `year` varchar(20) DEFAULT NULL COMMENT '年度',
  `unit_name` varchar(50) DEFAULT NULL COMMENT '部门名称',
  `part_no` varchar(10) DEFAULT NULL COMMENT '件号',
  `title` varchar(20) DEFAULT NULL COMMENT '题名',
  `archives_no` varchar(50) DEFAULT NULL COMMENT '档号',
  `author` varchar(20) DEFAULT NULL COMMENT '作者',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='编研详细信息';

-- ----------------------------
-- Records of mgr_archives_complicationdetail
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_complicationfilehang
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_complicationfilehang`;
CREATE TABLE `mgr_archives_complicationfilehang` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编研挂接ID',
  `url` varchar(50) DEFAULT NULL COMMENT '文件保存地址',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `title` varchar(20) DEFAULT NULL COMMENT '标题',
  `page_no` varchar(20) DEFAULT NULL COMMENT '页数',
  `sort_no` int(11) DEFAULT NULL COMMENT '序号',
  `author` varchar(20) DEFAULT NULL COMMENT '作者',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='编研文件挂接信息';

-- ----------------------------
-- Records of mgr_archives_complicationfilehang
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_complicationmanage
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_complicationmanage`;
CREATE TABLE `mgr_archives_complicationmanage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编研库ID',
  `warehouse_name` varchar(50) DEFAULT NULL COMMENT '编研库名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `type` varchar(20) DEFAULT NULL COMMENT '编研类型',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='编研库信息';

-- ----------------------------
-- Records of mgr_archives_complicationmanage
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_constants
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_constants`;
CREATE TABLE `mgr_archives_constants` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '综合信息库ID',
  `repertory_name` varchar(50) DEFAULT NULL COMMENT '库名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='综合信息管理库';

-- ----------------------------
-- Records of mgr_archives_constants
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_datamanage
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_datamanage`;
CREATE TABLE `mgr_archives_datamanage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资料ID',
  `title` varchar(50) DEFAULT NULL COMMENT '标题',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `author` varchar(20) DEFAULT NULL COMMENT '作者',
  `press` varchar(50) DEFAULT NULL COMMENT '出版社',
  `press_time` varchar(20) DEFAULT NULL COMMENT '出版日期',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资料管理';

-- ----------------------------
-- Records of mgr_archives_datamanage
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_devicemanage
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_devicemanage`;
CREATE TABLE `mgr_archives_devicemanage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '设备ID',
  `device_name` varchar(50) DEFAULT NULL COMMENT '设备名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `device_number` int(10) DEFAULT NULL COMMENT '设备数量',
  `device_status` varchar(10) DEFAULT NULL COMMENT '设备状态',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='设备管理';

-- ----------------------------
-- Records of mgr_archives_devicemanage
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_document
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_document`;
CREATE TABLE `mgr_archives_document` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `file_id` bigint(20) DEFAULT NULL COMMENT '案卷id',
  `enable` bit(1) DEFAULT NULL COMMENT '可用性',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '登记人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '登记日期',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `filing_by` varchar(20) DEFAULT NULL COMMENT '归档人',
  `filing_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '归档日期',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `catalogue_code` int(11) DEFAULT NULL COMMENT '案卷目录号',
  `file_code` varchar(20) DEFAULT NULL COMMENT '案卷号',
  `archival_code` varchar(20) DEFAULT NULL COMMENT '档号',
  `page_code` varchar(20) DEFAULT NULL COMMENT '页号',
  `part_no` varchar(20) DEFAULT NULL COMMENT '件号',
  `responsible_person` varchar(50) DEFAULT NULL COMMENT '责任者',
  `document_code` varchar(10) DEFAULT NULL COMMENT '文件编号',
  `document_title` varchar(255) DEFAULT NULL COMMENT '文件题名',
  `pages_count` int(11) DEFAULT NULL COMMENT '页数',
  `written_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '成文时间',
  `year` varchar(10) DEFAULT NULL COMMENT '年度',
  `box_code` varchar(20) DEFAULT NULL COMMENT '盒号',
  `security_classification` int(11) DEFAULT NULL COMMENT '密级。（0无密；1秘密；2机密；3绝密；）',
  `archives_type_code` int(11) DEFAULT NULL COMMENT '分类号',
  `electronic_record_title` varchar(50) DEFAULT NULL COMMENT '电子档案名称',
  `descriptor` varchar(100) DEFAULT NULL COMMENT '主题词',
  `organization_problem` varchar(100) DEFAULT NULL COMMENT '机构（问题）',
  `personage` varchar(20) DEFAULT NULL COMMENT '人物',
  `archives_name` varchar(100) DEFAULT NULL COMMENT '档案馆名称',
  `attachment_title` varchar(100) DEFAULT NULL COMMENT '附件题名',
  `control_sign` varchar(10) DEFAULT NULL COMMENT '控制标识',
  `archives_code` varchar(10) DEFAULT NULL COMMENT '档案馆代码',
  `produce_way` varchar(20) DEFAULT NULL COMMENT '电子档案生成方式',
  `secrecy_period` int(11) DEFAULT NULL COMMENT '保密期限',
  `retention_period` int(11) DEFAULT NULL COMMENT '保管期限',
  `filing_status` int(1) DEFAULT '0' COMMENT '档案归档状态（0未归档；1归档）',
  `del_flag` int(1) DEFAULT '0' COMMENT '删除标识（0未删除；1删除）',
  `digitization_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '数字化时间',
  `digitization_obj_describe` varchar(100) DEFAULT NULL COMMENT '数字化对象描述',
  `digitization_authorize_describe` varchar(100) DEFAULT NULL COMMENT '数字化授权描述',
  `format_name` varchar(20) DEFAULT NULL COMMENT '格式名称',
  `format_version` varchar(20) DEFAULT NULL COMMENT '格式版本',
  `color_space` varchar(20) DEFAULT '' COMMENT '色彩空间',
  `compress_scheme` varchar(20) DEFAULT '' COMMENT '压缩方案',
  `compression_ratio` varchar(10) DEFAULT '' COMMENT '压缩率',
  `horizontal_resolution` varchar(10) DEFAULT '' COMMENT '水平分辨率',
  `vertical_resolution` varchar(10) DEFAULT '' COMMENT '垂直分辨率',
  `image_width` varchar(10) DEFAULT NULL COMMENT '图像宽度',
  `image_height` varchar(10) DEFAULT NULL COMMENT '图像高度',
  `equipment_type` varchar(20) DEFAULT '' COMMENT '设备类型',
  `equipment_manufacturer` varchar(50) DEFAULT '' COMMENT '设备制造商',
  `equipment_model` varchar(20) DEFAULT '' COMMENT '设备型号',
  `equipment_series_number` varchar(50) DEFAULT '' COMMENT '设备系列号',
  `equipment_photoreceptor` varchar(20) DEFAULT '' COMMENT '设备感光器',
  `digital_software_name` varchar(50) DEFAULT NULL COMMENT '数字化软件名称',
  `digital_software_version` varchar(20) DEFAULT NULL COMMENT '数字化软件版本',
  `digital_software_manufacturer` varchar(50) DEFAULT NULL COMMENT '数字化软件生产商',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='文书档案文件';

-- ----------------------------
-- Records of mgr_archives_document
-- ----------------------------
INSERT INTO `mgr_archives_document` VALUES ('1', '1', '', null, null, '2018-04-02 11:51:50', null, '2018-04-02 11:51:50', 'admin', '2018-04-02 11:51:50', null, null, 'ffddfdfd', 'fdfd', 'fdfdfd', 'fdfdf', 'ffdd', null, 'E:\\\\test\\\\in\\\\a\\\\b\\\\新建 Microsoft Word 文档.docx', null, '2018-04-02 11:51:50', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0', '0', '2018-04-02 11:51:50', null, null, null, null, '', '', '', '', '', null, null, '', '', '', '', '', null, null, null);
INSERT INTO `mgr_archives_document` VALUES ('2', '1', '', null, null, '2018-04-02 15:06:05', null, '2018-04-02 15:06:05', 'admin', '2018-04-02 15:06:05', null, null, 'dssv', 'svssd', 'dsvs', 'dsa', 'da', null, 'E:\\\\test\\\\in\\\\a\\\\c\\\\新建 Microsoft PowerPoint 演示文稿.pptx', null, '2018-04-02 15:06:05', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0', '0', '2018-04-02 15:06:05', null, null, null, null, '', '', '', '', '', null, null, '', '', '', '', '', null, null, null);
INSERT INTO `mgr_archives_document` VALUES ('3', '2', '', null, null, '2018-04-02 12:01:56', null, '2018-04-02 12:01:56', 'admin', '2018-04-02 12:01:56', null, null, 'ds', 'dsddsd', 'ssd', 'dad', 'a', null, 'E:\\\\test\\\\in\\\\a\\\\d\\\\新建文本文档.txt', null, '2018-04-02 12:01:56', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0', '0', '2018-04-02 12:01:56', null, null, null, null, '', '', '', '', '', null, null, '', '', '', '', '', null, null, null);
INSERT INTO `mgr_archives_document` VALUES ('4', '2', '', null, null, '2018-04-02 12:01:58', null, '2018-04-02 12:01:58', 'admin', '2018-04-02 12:01:58', null, null, 'asdad', 'sada', 'ada', 'd', 'adad', null, 'E:\\\\test\\\\in\\\\a\\\\e\\\\新建 Microsoft Visio 绘图.vsdx', null, '2018-04-02 12:01:58', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '0', '0', '2018-04-02 12:01:58', null, null, null, null, '', '', '', '', '', null, null, '', '', '', '', '', null, null, null);

-- ----------------------------
-- Table structure for mgr_archives_electronic_record
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_electronic_record`;
CREATE TABLE `mgr_archives_electronic_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) DEFAULT b'1' COMMENT '可用性（1可用；0不可用）',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建日期',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改日期',
  `document_id` bigint(20) DEFAULT NULL COMMENT '文件id（mgr_archives_document表的id）',
  `electronic_record_title` varchar(50) DEFAULT NULL COMMENT '电子文件标题',
  `connect_configure_name` varchar(20) DEFAULT NULL COMMENT '挂接配置名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='电子档案文件';

-- ----------------------------
-- Records of mgr_archives_electronic_record
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_file
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_file`;
CREATE TABLE `mgr_archives_file` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) DEFAULT b'1' COMMENT '可用性（1可用；0不可用）',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `filing_by` varchar(20) DEFAULT NULL COMMENT '归档人',
  `filing_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '归档日期',
  `archival_code` varchar(20) DEFAULT NULL COMMENT '案卷级档号',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `fonds_name` varchar(50) DEFAULT NULL,
  `catalogue_code` int(11) DEFAULT NULL COMMENT '目录号',
  `file_code` int(11) DEFAULT NULL COMMENT '案卷号',
  `year` varchar(10) DEFAULT NULL COMMENT '年度',
  `retention_period` int(11) DEFAULT NULL COMMENT '保管期限',
  `retention_period_code` varchar(10) DEFAULT NULL COMMENT '保管期限代码',
  `file_title` varchar(500) DEFAULT NULL COMMENT '案卷题名',
  `start_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '起时间',
  `end_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '止时间',
  `responsible_person` varchar(50) DEFAULT NULL COMMENT '责任者',
  `written_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '成文时间',
  `pages_count` int(11) DEFAULT NULL COMMENT '页数',
  `document_count` int(11) DEFAULT NULL COMMENT '文件件数',
  `personage` varchar(20) DEFAULT NULL COMMENT '人物',
  `box_code` varchar(20) DEFAULT NULL COMMENT '盒号',
  `secrecy_period` int(11) DEFAULT NULL COMMENT '保密期限',
  `security_classification` int(11) DEFAULT '0' COMMENT '密级（0无密；1秘密；2机密；3绝密；）',
  `archives_name` varchar(100) DEFAULT NULL COMMENT '档案馆名称',
  `descriptor` varchar(100) DEFAULT NULL COMMENT '主题词',
  `archives_code` varchar(10) DEFAULT NULL COMMENT '档案馆代码',
  `attachment_title` varchar(100) DEFAULT NULL COMMENT '附件题名',
  `RFID` varchar(20) DEFAULT NULL COMMENT 'RFID',
  `filing_status` int(1) DEFAULT '0' COMMENT '归档状态（0：未归档，1归档）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='文书档案案卷';

-- ----------------------------
-- Records of mgr_archives_file
-- ----------------------------
INSERT INTO `mgr_archives_file` VALUES ('1', '', null, 'admin', '2018-03-30 09:59:59', null, '2018-03-30 09:59:59', 's', '2018-03-30 09:59:59', 'ds', 'ds', 'dsd', null, null, 'sds', null, null, null, '2018-03-30 09:59:59', '2018-03-30 09:59:59', null, '2018-03-30 09:59:59', null, null, null, null, null, '0', null, null, null, null, null, '1');
INSERT INTO `mgr_archives_file` VALUES ('2', '', null, 'admi', '2018-03-30 10:00:01', null, '2018-03-30 10:00:01', 'sdsd', '2018-03-30 10:00:01', 'sdcx', 'vc', 'xvcxvxv', null, null, 'vcxv', null, null, null, '2018-03-30 10:00:01', '2018-03-30 10:00:01', null, '2018-03-30 10:00:01', null, null, null, null, null, '0', null, null, null, null, null, '1');

-- ----------------------------
-- Table structure for mgr_archives_file_note
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_file_note`;
CREATE TABLE `mgr_archives_file_note` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `enable` bit(1) DEFAULT b'1' COMMENT '可用性（0不可用；1可用）',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注/附注',
  `create_by` varchar(20) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `fonds_name` varchar(50) DEFAULT NULL COMMENT '全宗名称',
  `fonds_no` varchar(20) DEFAULT NULL COMMENT '全宗号',
  `detail` varchar(500) DEFAULT NULL COMMENT '档案说明',
  `collator` varchar(20) DEFAULT NULL COMMENT '整理人',
  `inspector` varchar(20) DEFAULT NULL COMMENT '检查人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文书档案备考表';

-- ----------------------------
-- Records of mgr_archives_file_note
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_filestorageset
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_filestorageset`;
CREATE TABLE `mgr_archives_filestorageset` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '文件存储ID',
  `config_name` varchar(50) DEFAULT NULL COMMENT '配置名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `config_type` varchar(10) DEFAULT NULL COMMENT '配置方式',
  `file_url` varchar(30) DEFAULT NULL COMMENT '文件存储路径',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文件存储设置表';

-- ----------------------------
-- Records of mgr_archives_filestorageset
-- ----------------------------

-- ----------------------------
-- Table structure for mgr_archives_fonds
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_fonds`;
CREATE TABLE `mgr_archives_fonds` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '全宗ID',
  `fonds_no` varchar(32) DEFAULT NULL COMMENT '全宗号',
  `fonds_name` varchar(50) DEFAULT NULL COMMENT '全宗名',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8 COMMENT='全宗表';

-- ----------------------------
-- Records of mgr_archives_fonds
-- ----------------------------
INSERT INTO `mgr_archives_fonds` VALUES ('41', '001', '1七星关区委办', '1', '1七星关区委办', '2018-03-31 02:13:18', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('42', '002', '2七星关区宣传部', '1', '2七星关区宣传部', '2018-03-31 02:15:23', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('43', '003', '3七星关区妇联', '1', '3七星关区妇联', '2018-03-31 02:15:36', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('44', '004', '4七星关区纪委', '1', '4七星关区纪委', '2018-03-31 02:15:49', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('45', '005', '5七星关区政府办', '1', '5七星关区政府办', '2018-03-31 02:16:07', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('46', '006', '6七星关区教育局', '1', '七星关区教育局', '2018-03-31 02:16:23', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('47', '007', '7七星关区档案局', '1', '7七星关区档案局', '2018-03-31 02:16:37', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('48', '008', '8七星关区住建局', '1', '8七星关区住建局', '2018-03-31 02:16:49', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('49', '009', '9七星关区人社局', '1', '七星关区人社局', '2018-03-31 02:17:08', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('50', '0011', '11七星关区毕节县商会', '1', '七星关区毕节县商会', '2018-03-31 02:17:43', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('51', '0012', '12计生局', '1', '12计生局', '2018-03-31 02:18:03', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('52', '0013', '13七星关区党校', '1', '七星关区党校', '2018-03-31 02:18:22', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('53', '0014', '14七星关区城管', '1', '七星关区城管', '2018-03-31 02:18:40', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('54', '0015', '15七星关区信访办', '1', '信访办', '2018-03-31 02:19:23', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('55', '0016', '16海子街镇', '1', '海子街镇', '2018-03-31 02:19:47', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('56', '0017', '17杨家湾镇', '1', '杨家湾镇', '2018-03-31 02:20:23', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('57', '0018', '18林口镇', '1', '林口镇', '2018-03-31 02:20:41', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('58', '0019', '19普宜镇', '1', '普宜镇', '2018-03-31 02:21:14', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('59', '0021', '21生机镇', '1', '生机镇', '2018-03-31 02:21:35', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('60', '0020', '20田坝桥镇', '1', '田坝桥镇', '2018-03-31 02:22:15', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('61', '0022', '22七星关区红十字会', '1', '七星关区红十字会', '2018-03-31 02:22:41', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('62', '0023', '23地区海事局', '1', '地区海事局', '2018-03-31 02:23:08', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('63', '0024', '涉外', '1', '涉外', '2018-03-31 02:44:14', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('64', '0025', '结婚', '1', '结婚', '2018-03-31 02:44:25', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('65', '0026', '离婚', '1', '离婚', '2018-03-31 02:44:35', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('66', '0027', '七星关区质监站', '1', '七星关区质监站', '2018-03-31 02:44:59', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('67', '0028', '0028会计核算中心', '1', '会计核算中心', '2018-03-31 02:45:27', 'admin', null, null);
INSERT INTO `mgr_archives_fonds` VALUES ('68', '0029', '独生子女档案', '1', '独生子女档案', '2018-03-31 02:48:51', 'admin', null, null);

-- ----------------------------
-- Table structure for mgr_archives_relation
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_relation`;
CREATE TABLE `mgr_archives_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '目录树关系表ID',
  `node_id` bigint(20) DEFAULT NULL COMMENT '节点ID(0：其他类型；只保存档案类型和全宗的ID)',
  `node_name` varchar(50) DEFAULT NULL COMMENT '节点名称',
  `pnode_id` bigint(20) DEFAULT NULL COMMENT '父节点ID',
  `node_type` int(10) unsigned NOT NULL COMMENT '节点类型(1：根节点；2：档案类型；3：全宗；4：分类)',
  `node_code` varchar(255) DEFAULT NULL COMMENT '节点代码，节点标识',
  `archival_id` bigint(20) DEFAULT NULL COMMENT '档案类型ID',
  `archival_catalog` varchar(100) DEFAULT NULL COMMENT '档案类型管理模式(档案目录是否包含案卷，项目等)',
  `fonds_id` bigint(20) DEFAULT NULL COMMENT '分类节点下的全宗ID',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=238 DEFAULT CHARSET=utf8 COMMENT='目录树关系表';

-- ----------------------------
-- Records of mgr_archives_relation
-- ----------------------------
INSERT INTO `mgr_archives_relation` VALUES ('111', '1', '七星关区档案局', null, '1', '123456789', null, null, null, '1', '七星关区档案局', '2018-03-27 10:11:53', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('169', '0', '文书档案', '111', '2', '0000001111', null, null, null, '1', '文书档案分类', '2018-03-31 02:46:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('170', '23', '文书档案（新）', '169', '2', '0000001111', null, '2,0', null, '1', '文书档案分类', '2018-03-31 02:46:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('171', '24', '文书档案（旧）', '169', '2', '0000001111', null, '1,2,0', null, '1', '文书档案分类', '2018-03-31 02:46:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('172', '41', '1七星关区委办', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('173', '42', '2七星关区宣传部', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('174', '43', '3七星关区妇联', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('175', '44', '4七星关区纪委', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('176', '45', '5七星关区政府办', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('177', '46', '6七星关区教育局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('178', '47', '7七星关区档案局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('179', '48', '8七星关区住建局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('180', '49', '9七星关区人社局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('181', '50', '11七星关区毕节县商会', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('182', '51', '12计生局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('183', '52', '13七星关区党校', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('184', '53', '14七星关区城管', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('185', '54', '15七星关区信访办', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('186', '55', '16海子街镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:51', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('187', '56', '17杨家湾镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('188', '57', '18林口镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('189', '58', '19普宜镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('190', '59', '21生机镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('191', '60', '20田坝桥镇', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('192', '61', '22七星关区红十字会', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('193', '62', '23地区海事局', '170', '3', '', '23', '2,0', null, '1', '', '2018-03-31 02:46:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('194', '41', '1七星关区委办', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:18', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('195', '42', '2七星关区宣传部', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:18', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('196', '43', '3七星关区妇联', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('197', '44', '4七星关区纪委', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('198', '45', '5七星关区政府办', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('199', '46', '6七星关区教育局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('200', '47', '7七星关区档案局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('201', '48', '8七星关区住建局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('202', '49', '9七星关区人社局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('203', '50', '11七星关区毕节县商会', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('204', '51', '12计生局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('205', '52', '13七星关区党校', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('206', '53', '14七星关区城管', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('207', '54', '15七星关区信访办', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('208', '55', '16海子街镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('209', '56', '17杨家湾镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('210', '57', '18林口镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('211', '58', '19普宜镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('212', '59', '21生机镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('213', '60', '20田坝桥镇', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('214', '61', '22七星关区红十字会', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('215', '62', '23地区海事局', '171', '3', '', '24', '1,2,0', null, '1', '', '2018-03-31 02:47:20', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('216', '0', '专门档案', '111', '2', '00000222222', '24', null, null, '1', '专门档案', '2018-03-31 02:48:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('217', '25', '婚姻档案', '216', '2', '00000222222', '24', '0', null, '1', '专门档案', '2018-03-31 02:48:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('218', '32', '危改档案', '216', '2', '00000222222', '24', '0', null, '1', '专门档案', '2018-03-31 02:48:19', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('219', '33', '独生子女档案', '216', '2', '', '0', '0,1', null, '1', '', '2018-03-31 02:49:53', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('220', '0', '科技档案', '111', '4', '000003333333', '0', '', null, '0', '科技档案分类', '2018-03-31 02:50:48', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('221', '43', '3七星关区妇联', '220', '3', '000003333333', '0', '', null, '0', '科技档案分类', '2018-03-31 02:51:16', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('222', '66', '七星关区质监站', '220', '3', '000003333333', '0', '', null, '0', '科技档案分类', '2018-03-31 02:51:16', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('223', '27', '科技档案', '111', '2', '000003333333', '0', '0', null, '1', '科技档案分类', '2018-03-31 02:52:16', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('224', '43', '3七星关区妇联', '223', '3', '000003333333', '27', '0', null, '1', '科技档案分类', '2018-03-31 02:52:30', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('225', '66', '七星关区质监站', '223', '3', '000003333333', '27', '0', null, '1', '科技档案分类', '2018-03-31 02:52:30', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('226', '26', '会计档案', '111', '2', '000003333333', '27', '0', null, '1', '科技档案分类', '2018-03-31 02:53:05', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('227', '67', '0028会计核算中心', '226', '3', '000003333333', '26', '0', null, '1', '科技档案分类', '2018-03-31 02:53:27', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('228', '64', '结婚', '217', '3', '000003333333', '25', '0', null, '1', '科技档案分类', '2018-03-31 02:53:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('229', '65', '离婚', '217', '3', '000003333333', '25', '0', null, '1', '科技档案分类', '2018-03-31 02:53:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('230', '63', '涉外', '217', '3', '000003333333', '25', '0', null, '1', '科技档案分类', '2018-03-31 02:53:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('231', '0', '并发症', '182', '4', '00000333444', '23', '2,0', '51', '1', '并发症', '2018-03-31 02:55:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('232', '0', '两户认定', '111', '4', '0000033555', '23', '2,0', null, '0', '两户认定', '2018-03-31 02:55:45', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('233', '0', '两户认定', '182', '4', '0000033555', '23', '2,0', '51', '1', '两户认定', '2018-03-31 02:56:38', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('234', '0', '节育奖励', '182', '4', '00000336666', '23', '2,0', '51', '1', '节育奖励', '2018-03-31 02:57:09', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('235', '0', '少生快富', '182', '4', '00000337777', '23', '2,0', '51', '1', '少生快富', '2018-03-31 02:57:41', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('236', '0', '独生子女', '182', '4', '000003388888', '23', '2,0', '51', '1', '独生子女', '2018-03-31 02:58:15', 'admin', null, null);
INSERT INTO `mgr_archives_relation` VALUES ('237', '0', '生育计划', '182', '4', '1231564', '23', '2,0', '51', '1', '生育计划', '2018-04-02 02:09:37', 'admin', null, null);

-- ----------------------------
-- Table structure for mgr_archives_relation_copy
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_relation_copy`;
CREATE TABLE `mgr_archives_relation_copy` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '目录树关系表ID',
  `node_id` bigint(20) DEFAULT NULL COMMENT '节点ID',
  `node_name` varchar(50) DEFAULT NULL COMMENT '节点名称',
  `pnode_id` bigint(20) DEFAULT NULL COMMENT '父节点ID',
  `node_type` int(10) unsigned NOT NULL COMMENT '节点类型',
  `node_code` varchar(255) DEFAULT NULL COMMENT '节点代码',
  `archival_id` bigint(20) DEFAULT NULL COMMENT '档案类型ID',
  `archival_catalog` varchar(100) DEFAULT NULL COMMENT '档案类型管理模式(档案目录)',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=73 DEFAULT CHARSET=utf8 COMMENT='目录树关系表';

-- ----------------------------
-- Records of mgr_archives_relation_copy
-- ----------------------------
INSERT INTO `mgr_archives_relation_copy` VALUES ('47', '1', '七星关区档案局', null, '1', '0001', null, null, '1', '备注', '2018-03-24 03:12:48', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('48', '0', '文书档案', '47', '2', '0002', null, null, '0', null, '2018-03-24 03:13:43', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('49', '14', '档案类型测试', '48', '2', '0002', null, '1,2', '0', null, '2018-03-24 03:13:43', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('50', '10', '测试', '48', '2', '0002', null, '2', '0', null, '2018-03-24 03:13:43', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('51', '0', '文书档案', '47', '2', '0002', null, null, '1', null, '2018-03-24 03:14:50', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('52', '14', '档案类型测试', '51', '2', '0002', null, '1,2', '1', null, '2018-03-24 03:14:50', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('53', '10', '测试', '51', '2', '0002', null, '2', '1', null, '2018-03-24 03:14:50', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('54', '0', '全宗分类001', '53', '3', '0000001', null, '2', '1', null, '2018-03-24 03:20:45', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('55', '7', '测试全宗6', '54', '3', '0000001', null, '2', '1', null, '2018-03-24 03:20:46', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('56', '9', '测试全宗7', '54', '3', '0000001', null, '2', '0', null, '2018-03-24 03:20:46', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('57', '10', '测试全宗9', '54', '3', '0000001', null, '2', '1', null, '2018-03-24 03:20:46', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('58', '11', '测试全宗10', '54', '3', '0000001', null, '2', '1', null, '2018-03-24 03:20:46', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('59', '12', '全宗测试001', '54', '3', '0000001', null, '2', '1', null, '2018-03-24 03:20:46', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('60', '0', '测试分类', '56', '4', '123456', null, '2', '0', null, '2018-03-24 03:22:42', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('61', '0', '测试测试分类', '57', '4', '135153496', null, '2', '1', '测试彩色', '2018-03-24 08:01:41', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('62', '0', '测试测试分类', '57', '4', '135153496', null, '2', '1', '测试彩色', '2018-03-24 08:02:40', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('63', '0', '测试测试分类', '57', '4', '135153496', null, '2', '1', '测试彩色', '2018-03-24 08:02:59', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('64', '0', '再分类', '63', '4', '13418940', null, '2', '1', '备注', '2018-03-24 08:13:52', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('65', '0', '再分类', '62', '4', '13418940', null, '2', '1', '备注', '2018-03-24 08:15:29', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('66', '11', '独生子女', '47', '2', '', null, '1,2', '1', '', '2018-03-24 08:18:01', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('67', '12', '独生子女档案', '47', '2', '', null, '2,1', '1', '', '2018-03-24 08:18:01', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('68', '9', '测试全宗7', '67', '3', '', null, '2,1', '1', '', '2018-03-24 08:18:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('69', '10', '测试全宗9', '67', '3', '', null, '2,1', '1', '', '2018-03-24 08:18:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('70', '36', '七星关档案局12', '67', '3', '', null, '2,1', '1', '', '2018-03-24 08:18:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('71', '35', '七星关档案局1', '67', '3', '', null, '2,1', '1', '', '2018-03-24 08:18:17', 'admin', null, null);
INSERT INTO `mgr_archives_relation_copy` VALUES ('72', '37', '七星关档案局123', '67', '3', '', null, '2,1', '1', '', '2018-03-24 08:18:17', 'admin', null, null);

-- ----------------------------
-- Table structure for mgr_archives_setarchivalcode
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_setarchivalcode`;
CREATE TABLE `mgr_archives_setarchivalcode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '档号ID',
  `file_rule` varchar(255) DEFAULT NULL COMMENT '案卷级档号规则',
  `record_rule` varchar(255) DEFAULT NULL COMMENT '案件级档号规则',
  `archivaltype_id` bigint(20) NOT NULL COMMENT '档案类型ID',
  `link_code` varchar(10) DEFAULT NULL COMMENT '连接符',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8 COMMENT='档号设置表';

-- ----------------------------
-- Records of mgr_archives_setarchivalcode
-- ----------------------------
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('7', '全宗号,案卷,年度', '年度,案卷,年度', '8', '-', '1', null, '2018-03-27 08:34:20', 'liusen', '2018-03-27 09:27:54', 'admin');
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('8', '全宗号-案卷-年度', '年度-案卷-年度', '7', '-', '1', null, '2018-03-27 09:31:47', 'liusen', '2018-03-27 10:44:45', 'admin');
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('9', '全宗号+案卷+年度', '全宗号+年度+件号', '11', '+', '1', null, '2018-03-27 09:32:59', 'liusen ', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('10', '', '', '7', '+', '0', null, '2018-03-27 11:02:15', '草拟吗', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('11', '', '', '7', '+', '0', null, '2018-03-27 11:02:33', '草拟吗', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('12', '', '', '7', '+', '0', null, '2018-03-27 11:06:47', '草拟大爷', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('13', '', '', '8', '+', '0', null, '2018-03-27 11:07:58', '草你妈的逼', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('14', '', '', '9', '-', '0', null, '2018-03-27 11:09:42', '擦擦擦', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('15', '', '', '9', '-', '0', null, '2018-03-27 11:09:42', '擦擦擦', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('16', '年度+件号+件号', '全宗号+年度+件号', '12', '+', '1', null, '2018-03-27 11:10:40', '啛啛喳喳错', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('17', '年度-件号-案卷', '件号-全宗号-件号', '10', '-', '1', null, '2018-03-27 11:11:40', '啛啛喳喳', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('18', '全宗号+案卷+件号', '年度+案卷+件号', '10', '+', '1', null, '2018-03-27 11:12:42', '草拟吗', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('19', '年度+案卷+年度', '年度+件号+年度', '8', '+', '1', null, '2018-03-27 11:13:09', '草拟吗', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('20', '案卷+年度+年度', '年度+件号+件号', '7', '+', '1', null, '2018-03-27 11:14:02', '15634561', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('21', '全宗号-年度-件号', '年度-案卷-年度', '8', '-', '1', null, '2018-03-27 11:15:06', '草拟吗逼', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('22', '全宗号+案卷+年度', '案卷+件号+年度', '8', '+', '1', null, '2018-03-27 11:18:26', '13156', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('23', '全宗号-案卷-年度', '全宗号-年度-年度', '9', '-', '1', null, '2018-03-27 11:21:26', '查查塞擦声', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('24', '全宗号-年度-年度', '年度-案卷-年度', '7', '-', '1', null, '2018-03-27 11:24:51', '23213456', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('25', '年度-案卷-年度', '案卷-件号-件号', '9', '-', '1', null, '2018-03-27 11:25:51', '擦拭大Vas', null, null);
INSERT INTO `mgr_archives_setarchivalcode` VALUES ('26', '全宗号+案卷+件号', '年度+件号+年度', '8', '+', '1', null, '2018-03-27 11:28:41', '134156', null, null);

-- ----------------------------
-- Table structure for mgr_archives_type
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_type`;
CREATE TABLE `mgr_archives_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '档案类型ID',
  `name` varchar(50) DEFAULT NULL COMMENT '类型名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `manage_model` varchar(50) DEFAULT NULL COMMENT '档案管理模式',
  `archival_catalog` varchar(50) DEFAULT NULL COMMENT '档案类型的档案目录（包含案卷还是件）（0:只包含件;1:包含案卷;2:包含分类表;3:包含项目）',
  `filepage_number` int(10) unsigned DEFAULT NULL COMMENT '立卷设置卷内页数',
  `type_code` varchar(255) DEFAULT NULL COMMENT '档案类型代码',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8 COMMENT='档案类型表';

-- ----------------------------
-- Records of mgr_archives_type
-- ----------------------------
INSERT INTO `mgr_archives_type` VALUES ('23', '文书档案（新）', null, '3', '2,0', null, null, '1', '文书档案（新）', '2018-03-31 02:40:23', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('24', '文书档案（旧）', null, '2', '1,2,0', null, null, '1', '文书档案（旧）', '2018-03-31 02:40:38', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('25', '婚姻档案', null, '1', '0', null, null, '1', '婚姻档案', '2018-03-31 02:41:22', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('26', '会计档案', null, '1', '0', null, null, '1', '会计档案', '2018-03-31 02:41:51', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('27', '科技档案', null, '1', '0', null, null, '1', '科技档案', '2018-03-31 02:42:01', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('28', '图片档案', null, '1', '0', null, null, '1', '图片档案', '2018-03-31 02:42:18', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('29', '照片档案', null, '1', '0', null, null, '1', '照片档案', '2018-03-31 02:42:30', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('30', '实物档案', null, '1', '0', null, null, '1', '实物档案', '2018-03-31 02:42:44', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('31', '视频档案', null, '1', '0', null, null, '1', '视频档案', '2018-03-31 02:43:02', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('32', '危改档案', null, '1', '0', null, null, '1', '危改档案', '2018-03-31 02:43:22', '', null, null);
INSERT INTO `mgr_archives_type` VALUES ('33', '独生子女档案', null, '1', '0,1', null, null, '1', '独生子女', '2018-03-31 02:49:38', '', null, null);

-- ----------------------------
-- Table structure for mgr_archives_warehousemanage
-- ----------------------------
DROP TABLE IF EXISTS `mgr_archives_warehousemanage`;
CREATE TABLE `mgr_archives_warehousemanage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '库房ID',
  `name` varchar(50) DEFAULT NULL COMMENT '库房名',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID',
  `manager` varchar(20) DEFAULT NULL COMMENT '管理员',
  `temperature` double DEFAULT NULL COMMENT '温度',
  `humidity` double DEFAULT NULL COMMENT '湿度',
  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '启用状态',
  `remark` varchar(1024) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(50) DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='库房管理';

-- ----------------------------
-- Records of mgr_archives_warehousemanage
-- ----------------------------
